Skip to main content
GET
/
auth
/
authorize
OAuth 2.0 authorization endpoint
curl --request GET \
  --url https://api.basic.tech/auth/authorize \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

client_id
string
required

Application/project identifier

redirect_uri
string<uri>
required

URI to redirect after authorization

response_type
enum<string>
required

Must be "code"

Available options:
code
scope
string
required

Space-separated list of scopes

state
string
required

CSRF protection token

code_challenge
string

PKCE code challenge (SHA256 hash of verifier)

code_challenge_method
enum<string>

PKCE challenge method (only S256 supported)

Available options:
S256

Response

Redirect to authorization page